Developers

Replaces the Invoice resource.

PUT
/finance/invoices/{id}

Replaces the Invoice resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Invoice identifier

Request Body

The updated Invoice resource

  1. body
direction?string
Default"income"
Value in"income""cost"
numbering?string
Formatuuid
no?string
Lengthlength <= 50
docTitle?string
Lengthlength <= 50
saleDate?|
Formatdate
issueDate?|
Formatdate
deadlineDate?|
Formatdate
issuedPlace?|
Lengthlength <= 255
sellerName?|
Lengthlength <= 255
sellerIdentifier?|
Lengthlength <= 20
sellerStreet?|
Lengthlength <= 255
sellerZipCode?|
Lengthlength <= 20
sellerCity?|
Lengthlength <= 255
sellerCountryCode?|
Lengthlength <= 2
sellerCreatorName?string
Lengthlength <= 255
buyerId?|
Formatuuid
buyerName?|
Lengthlength <= 255
buyerIdentifier?string
Lengthlength <= 20
buyerIdentifierType?|
Value in"nip""vat_eu""other""none"
buyerStreet?|
Lengthlength <= 255
buyerZipCode?|
Lengthlength <= 20
buyerCity?|
Lengthlength <= 255
buyerCountryCode?|
Lengthlength <= 2
buyerRecipientName?|
Lengthlength <= 255
buyerAccountingEmail?|
Formatemail
Lengthlength <= 255
buyerIsJst*boolean
Defaultfalse
buyerIsGv*boolean
Defaultfalse
bankAccount?string
Lengthlength <= 100
bankAccountSwift?string
Lengthlength <= 11
currencyCode?string|null
paymentMethod?|
Value in"cash""transfer""transfer_and_cash""barter""prepayment_transfer""card""voucher""check""credit""mobile"
alreadyPaid?|
Formatfloat
toPay?|
Formatfloat
description?string
Lengthlength <= 5000
financeProject?|
Formatuuid
financeStage?|
Formatuuid
financeBoard?|
Formatuuid
financeTask?|
Formatuuid
items?array<>
thirdParties?array<>
posted*|
Defaultfalse
isDraft*boolean
Defaulttrue
isSplitPayment?boolean
isReverseCharge?boolean
isCashAccounting?boolean
prevItems?array<>
ksefMarker?|
Lengthlength <= 6
Value in"NrKSeF""BFK""OFF""DI"
fileGeneratedLanguage?string
Lengthlength <= 2
Value in"pl""en""de""it"
exchangeRate?|
Formatfloat
Range0 <= value <= 99.9999
exchangeDate?|
Formatdate

Response Body

Invoice resource updated

  1. response
id?string
Formatuuid
ksefStatus?number
ksefStatusDescription?|
Lengthlength <= 200
ksefMarker?|
Lengthlength <= 6
Value in"NrKSeF""BFK""OFF""DI"
no?|
Lengthlength <= 50
docTitle?|
Lengthlength <= 50
saleDate?|
Formatdate-time
issueDate?|
Formatdate-time
deadlineDate?|
Formatdate-time
issuedPlace?|
Lengthlength <= 255
invoiceType?string
Value in"fv""pf""fk""Vat""Zal""Kor""Roz""Upr""KorZal""KorRoz""VatPef""VatPefSp""KorPef""VatRr""KorVatRr"
direction?string
Value in"income""cost"
sellerName?|
Lengthlength <= 255
sellerIdentifier?|
Lengthlength <= 20
sellerStreet?|
Lengthlength <= 255
sellerZipCode?|
Lengthlength <= 20
sellerCity?|
Lengthlength <= 255
sellerCreatorName?string
Lengthlength <= 255
sellerId?|
Formatuuid
buyerId?|
Formatuuid
buyerContractorName?|
Lengthlength <= 255
buyerName?|
Lengthlength <= 255
buyerIdentifier?string
Lengthlength <= 20
buyerIdentifierType?|
Value in"nip""vat_eu""other""none"
buyerStreet?|
Lengthlength <= 255
buyerZipCode?|
Lengthlength <= 20
buyerCity?|
Lengthlength <= 255
buyerCountryCode?|
Lengthlength <= 2
buyerRecipientName?|
Lengthlength <= 255
buyerAccountingEmail?|
Lengthlength <= 255
buyerIsJst?boolean
buyerIsGv?boolean
bankAccount?|
Lengthlength <= 40
bankAccountSwift?|
Lengthlength <= 11
currencyCode?|
Length3 <= length <= 3
paymentMethod?|
Value in"cash""transfer""transfer_and_cash""barter""prepayment_transfer""card""voucher""check""credit""mobile"
alreadyPaid?|
Formatfloat
toPay?|
Formatfloat
netAmount?number
Formatfloat
vatAmount?number
Formatfloat
grossAmount?number
Formatfloat
hasIncome?boolean
Defaultfalse
hasCost?boolean
Defaultfalse
invoice?|null
corrects?array<>
description?|
Lengthlength <= 5000
posted?boolean
external?boolean
numbering?|null
financeProject?|null
financeStage?|null
financeBoard?|null
financeTask?|null
isDraft?boolean
isSplitPayment?boolean
isReverseCharge?boolean
isCashAccounting?boolean
createdBy?|null
createdAt?string
Formatdate-time
isUpdated?boolean
Defaultfalse
updatedBy?|null
updatedAt?string
Formatdate-time
items?array<>|null
prevItems?array<>|null
costs?array<>
incomes?array<>
thirdParties?array<string|null>
prevCorrect?|null
fileGeneratedLanguage?string
Lengthlength <= 10
Value in"pl""en""de""it"
fileGenerated?boolean
Defaultfalse
duplicateFileGenerated?boolean
Defaultfalse
exchangeRate?|
Formatfloat
exchangeDate?|
Formatdate-time
Example Request
curl -X PUT 'https://app.icproject.com/api/instance/demo/finance/invoices/string' \  -H 'Content-Type: application/json' \  -d '{  "buyerIsJst": false,  "buyerIsGv": false,  "posted": false,  "isDraft": true}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "ksefStatus": 0,  "ksefStatusDescription": "string",  "ksefMarker": "NrKSeF",  "no": "string",  "docTitle": "string",  "saleDate": "2019-08-24T14:15:22Z",  "issueDate": "2019-08-24T14:15:22Z",  "deadlineDate": "2019-08-24T14:15:22Z",  "issuedPlace": "string",  "invoiceType": "fv",  "direction": "income",  "sellerName": "string",  "sellerIdentifier": "string",  "sellerStreet": "string",  "sellerZipCode": "string",  "sellerCity": "string",  "sellerCreatorName": "string",  "sellerId": "2b5cb5ab-0f11-4d75-8f0a-a6d87a9d534e",  "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b",  "buyerContractorName": "string",  "buyerName": "string",  "buyerIdentifier": "string",  "buyerIdentifierType": "nip",  "buyerStreet": "string",  "buyerZipCode": "string",  "buyerCity": "string",  "buyerCountryCode": "st",  "buyerRecipientName": "string",  "buyerAccountingEmail": "string",  "buyerIsJst": true,  "buyerIsGv": true,  "bankAccount": "string",  "bankAccountSwift": "string",  "currencyCode": "str",  "paymentMethod": "cash",  "alreadyPaid": 0,  "toPay": 0,  "netAmount": 0.1,  "vatAmount": 0.1,  "grossAmount": 0.1,  "hasIncome": false,  "hasCost": false,  "invoice": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "no": "string",    "docTitle": "string",    "saleDate": "2019-08-24T14:15:22Z",    "issueDate": "2019-08-24T14:15:22Z",    "deadlineDate": "2019-08-24T14:15:22Z",    "issuedPlace": "string",    "invoiceType": "fv",    "sellerName": "string",    "sellerVatId": "string",    "sellerStreet": "string",    "sellerZipCode": "string",    "sellerCity": "string",    "sellerCreatorName": "string",    "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b",    "buyerContractorName": "string",    "buyerName": "string",    "buyerVatId": "string",    "buyerStreet": "string",    "buyerZipCode": "string",    "buyerCity": "string",    "bankAccount": "string",    "currencyCode": "str",    "paymentMethod": "cash",    "alreadyPaid": 0,    "toPay": 0,    "netAmount": 0,    "vatAmount": 0,    "grossAmount": 0,    "description": "string",    "posted": false,    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string",      "canLogIn": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "jobPositionName": "string"    },    "createdAt": "2019-08-24T14:15:22Z",    "isUpdated": false,    "updatedBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string",      "canLogIn": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "jobPositionName": "string"    },    "updatedAt": "2019-08-24T14:15:22Z",    "items": [      {        "order": 0,        "positionName": "string",        "unit": "string",        "count": 0,        "priceUnit": 0,        "tax": "string",        "netAmount": 0,        "vatAmount": 0,        "grossAmount": 0,        "gtu": "string"      }    ],    "numbering": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "fv",      "pattern": "string",      "resetInterval": "P1M",      "leadingZero": 0,      "isDefault": true,      "docTitle": "string",      "closestCounter": null    },    "financeProject": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "no": "string",      "isSimple": true    }  },  "corrects": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "ksefStatus": 0,      "ksefStatusDescription": "string",      "no": "string",      "docTitle": "string",      "saleDate": "2019-08-24T14:15:22Z",      "issueDate": "2019-08-24T14:15:22Z",      "deadlineDate": "2019-08-24T14:15:22Z",      "issuedPlace": "string",      "invoiceType": "fv",      "sellerName": "string",      "sellerIdentifier": "string",      "sellerStreet": "string",      "sellerZipCode": "string",      "sellerCity": "string",      "sellerCreatorName": "string",      "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b",      "buyerContractorName": "string",      "buyerName": "string",      "buyerIdentifier": "string",      "buyerStreet": "string",      "buyerZipCode": "string",      "buyerCity": "string",      "bankAccount": "string",      "currencyCode": "str",      "paymentMethod": "cash",      "alreadyPaid": 0,      "toPay": 0,      "netAmount": 0,      "vatAmount": 0,      "grossAmount": 0,      "description": "string",      "posted": false,      "external": true,      "isDraft": true,      "createdBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "phoneNumber": "string",        "pictureSm": "string",        "pictureLg": "string",        "canLogIn": false,        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "jobPositionName": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "isUpdated": false,      "updatedBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "phoneNumber": "string",        "pictureSm": "string",        "pictureLg": "string",        "canLogIn": false,        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "jobPositionName": "string"      },      "updatedAt": "2019-08-24T14:15:22Z",      "items": [        {          "order": 0,          "positionName": "string",          "unit": "string",          "count": 0,          "priceUnit": 0,          "tax": "string",          "netAmount": 0,          "vatAmount": 0,          "grossAmount": 0,          "gtu": "string"        }      ],      "prevItems": [        {          "order": 0,          "positionName": "string",          "unit": "string",          "count": 0,          "priceUnit": 0,          "tax": "string",          "netAmount": 0,          "vatAmount": 0,          "grossAmount": 0,          "gtu": "string"        }      ],      "prevCorrect": {},      "isLastCorrect": true,      "fileGenerated": false,      "duplicateFileGenerated": false,      "numbering": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "kind": "fv",        "pattern": "string",        "resetInterval": "P1M",        "leadingZero": 0,        "isDefault": true,        "docTitle": "string",        "closestCounter": null      },      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      },      "financeBoard": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "financeProject": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "shortCode": "string",          "no": "string",          "isSimple": true        },        "financeStage": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "financeProject": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string",            "shortCode": "string",            "no": "string",            "isSimple": true          }        }      }    }  ],  "description": "string",  "posted": true,  "external": true,  "numbering": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "fv",    "pattern": "string",    "resetInterval": "P1M",    "leadingZero": 0,    "isDefault": true,    "docTitle": "string",    "closestCounter": null  },  "financeProject": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "shortCode": "string",    "no": "string",    "isSimple": true  },  "financeStage": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "financeProject": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "no": "string",      "isSimple": true    }  },  "financeBoard": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "shortCode": "string",    "financeProject": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "no": "string",      "isSimple": true    },    "financeStage": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      }    }  },  "financeTask": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "number": 0,    "shortCode": "string",    "financeProject": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "no": "string",      "isSimple": true    },    "financeStage": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      }    },    "financeBoard": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      },      "financeStage": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "financeProject": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "shortCode": "string",          "no": "string",          "isSimple": true        }      }    }  },  "isDraft": true,  "isSplitPayment": true,  "isReverseCharge": true,  "isCashAccounting": true,  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": false,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "isUpdated": false,  "updatedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": false,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string"  },  "updatedAt": "2019-08-24T14:15:22Z",  "items": [    {      "identifier": 0,      "positionName": "string",      "unit": "string",      "count": 0,      "priceUnit": 0,      "tax": "string",      "netAmount": 0,      "vatAmount": 0,      "grossAmount": 0,      "gtu": "string"    }  ],  "prevItems": [    {      "order": 0,      "positionName": "string",      "unit": "string",      "count": 0,      "priceUnit": 0,      "tax": "string",      "netAmount": 0,      "vatAmount": 0,      "grossAmount": 0,      "gtu": "string"    }  ],  "costs": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "priceNet": 0.1,      "priceGross": 0.1,      "costType": "manually",      "date": "2019-08-24T14:15:22Z"    }  ],  "incomes": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "priceNet": 0.1,      "priceGross": 0.1,      "incomeType": "manually",      "date": "2019-08-24T14:15:22Z"    }  ],  "thirdParties": [    "string"  ],  "prevCorrect": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "ksefStatus": 0,    "ksefStatusDescription": "string",    "no": "string",    "docTitle": "string",    "saleDate": "2019-08-24T14:15:22Z",    "issueDate": "2019-08-24T14:15:22Z",    "deadlineDate": "2019-08-24T14:15:22Z",    "issuedPlace": "string",    "invoiceType": "fv",    "sellerName": "string",    "sellerIdentifier": "string",    "sellerStreet": "string",    "sellerZipCode": "string",    "sellerCity": "string",    "sellerCreatorName": "string",    "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b",    "buyerContractorName": "string",    "buyerName": "string",    "buyerIdentifier": "string",    "buyerStreet": "string",    "buyerZipCode": "string",    "buyerCity": "string",    "bankAccount": "string",    "currencyCode": "str",    "paymentMethod": "cash",    "alreadyPaid": 0,    "toPay": 0,    "netAmount": 0,    "vatAmount": 0,    "grossAmount": 0,    "description": "string",    "posted": false,    "external": true,    "isDraft": true,    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string",      "canLogIn": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "jobPositionName": "string"    },    "createdAt": "2019-08-24T14:15:22Z",    "isUpdated": false,    "updatedBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string",      "canLogIn": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "jobPositionName": "string"    },    "updatedAt": "2019-08-24T14:15:22Z",    "items": [      {        "order": 0,        "positionName": "string",        "unit": "string",        "count": 0,        "priceUnit": 0,        "tax": "string",        "netAmount": 0,        "vatAmount": 0,        "grossAmount": 0,        "gtu": "string"      }    ],    "prevItems": [      {        "order": 0,        "positionName": "string",        "unit": "string",        "count": 0,        "priceUnit": 0,        "tax": "string",        "netAmount": 0,        "vatAmount": 0,        "grossAmount": 0,        "gtu": "string"      }    ],    "prevCorrect": {},    "isLastCorrect": true,    "fileGenerated": false,    "duplicateFileGenerated": false,    "numbering": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "fv",      "pattern": "string",      "resetInterval": "P1M",      "leadingZero": 0,      "isDefault": true,      "docTitle": "string",      "closestCounter": null    },    "financeProject": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "no": "string",      "isSimple": true    },    "financeBoard": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "financeProject": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "shortCode": "string",        "no": "string",        "isSimple": true      },      "financeStage": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "financeProject": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "shortCode": "string",          "no": "string",          "isSimple": true        }      }    }  },  "fileGeneratedLanguage": "pl",  "fileGenerated": false,  "duplicateFileGenerated": false,  "exchangeRate": 0,  "exchangeDate": "2019-08-24T14:15:22Z"}